Summary:	An fstream class for creating npm packages
Name:		nodejs-fstream-npm
Version:	0.1.6
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/fstream-npm
Source0:	http://registry.npmjs.org/fstream-npm/-/fstream-npm-%{version}.tgz
# Source0-md5:	3d2b0ff95fbb4944f6c87701016c1b5c
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-fstream-ignore < 0.1.0
Requires:	nodejs-fstream-ignore >= 0.0.5
Requires:	nodejs-inherits < 3
Requires:	nodejs-inherits >= 2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An fstream class for creating npm packages.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/fstream-npm
cp -pr fstream-npm.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/fstream-npm

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/fstream-npm
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Mar 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-fstream-npm.git;a=log;h=master

* Thu Mar 06 2014 Łukasz Kieś <kiesiu@pld-linux.org> 13c26fe
- updated to 0.1.6

* Mon Feb 18 2013 Aria <aredridel@nbtsc.org> 5e6c1d8
- Adapterized

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 12494ba
- Up to 0.1.3

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> f3d80fc
- md5

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> d59bc5d
- G: Development/Libraries

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> 624f6ab
- new,
  based on src.rpm from http://nodejs.tchol.org/ repo

